> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get contract

GET https://api.taigabilling.com/api/contracts/v3/{contract_id}

Reference: https://docs.taigabilling.com/api-reference/contracts-v-3/contracts-v-3-get

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `contract_id` (string, required)

## Response

### 200

- `contractsv3ContractWithProvidersUnion`
  - Contractsv3ContractWithProvidersUnion0
  - Contractsv3ContractWithProvidersUnion1

## Errors

### 404 Not Found Error

- `Contracts_v3_getRequestNotFoundError`
  - ContractsV3GetRequestNotFoundError0

## Types

### Contractsv3ContractWithProvidersUnion0

- `commercial_insurance_types` (contractsv2InsuranceTypes, required) — The commercial plan insurance types this contract applies.
- `contract_id` (string, required)
- `contracting_provider` (organization-providersv2OrganizationProvider, required) — The provider under contract
- `effective_date` (string, required) — The starting day upon which the contract is effective
- `medicaid_insurance_types` (contractsv2InsuranceTypes, required) — The Medicaid plan insurance types this contract applies.
- `medicare_insurance_types` (contractsv2InsuranceTypes, required) — The Medicare plan insurance types this contract applies.
- `payer` (payersv3Payer, required) — The insurance company under contract
- `provider_count` (integer, required) — The number of linked providers who can render medical services under this contract
- `regions` (Regions, required) — The state(s) to which the contract's coverage extends. It may also be set to "national" for the entirety of the US.
- `type` (enum, required)
  - Allowed values: `professional`
- `rendering_provider_ids` (list of string, required, deprecated) — Deprecated. Use the dedicated providers endpoints to manage rendering providers (GET/POST/DELETE /api/contracts/v3/\{contract\_id}/providers). This field returns a maximum of 4,000 IDs
- `authorized_signatory` (contractsv2AuthorizedSignatory, optional, nullable)
- `contract_status` (enum, optional, nullable)
  - Allowed values: `pending`, `effective`, `cancelled`
- `expiration_date` (string, optional, nullable) — An optional end day upon which the contract expires

### Contractsv3ContractWithProvidersUnion1

- `commercial_insurance_types` (contractsv2InsuranceTypes, required) — The commercial plan insurance types this contract applies.
- `contract_id` (string, required)
- `contract_service_facilities` (list of contractsv3ContractServiceFacility, required) — The service facilities under contract
- `contracting_provider` (organization-providersv2OrganizationProvider, required) — The provider under contract
- `effective_date` (string, required) — The starting day upon which the contract is effective
- `medicaid_insurance_types` (contractsv2InsuranceTypes, required) — The Medicaid plan insurance types this contract applies.
- `medicare_insurance_types` (contractsv2InsuranceTypes, required) — The Medicare plan insurance types this contract applies.
- `payer` (payersv3Payer, required) — The insurance company under contract
- `provider_count` (integer, required) — The number of linked providers who can render medical services under this contract
- `regions` (Regions, required) — The state(s) to which the contract's coverage extends. It may also be set to "national" for the entirety of the US.
- `type` (enum, required)
  - Allowed values: `institutional`
- `authorized_signatory` (contractsv2AuthorizedSignatory, optional, nullable)
- `contract_status` (enum, optional, nullable)
  - Allowed values: `pending`, `effective`, `cancelled`
- `expiration_date` (string, optional, nullable) — An optional end day upon which the contract expires

### ContractsV3GetRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `EntityNotFoundError`
- `content` (EntityNotFoundErrorMessage, optional)

### contractsv2InsuranceTypes

- Contractsv2InsuranceTypes0
- Contractsv2InsuranceTypes1
- Contractsv2InsuranceTypes2

### organization-providersv2OrganizationProvider

- `employment_status` (enum, required) — The employment status for the provider.
  - Allowed values: `ACTIVE`, `TERMINATED`
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `organization_provider_id` (string, required) — Auto-generated ID set on creation
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (string, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (string, optional, nullable) — The employment termination date for the provider.
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `medicaid_provider_id` (string, optional, nullable) — The medicaid provider ID for the provider.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `ptan` (string, optional, nullable) — The Provider Transaction Access Number for the provider.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.

### payersv3Payer

- `payer_uuid` (string, required) — Auto-generated ID set on creation.
- `payer_id` (string, required) — The primary national payer ID of the payer.
- `payer_name` (string, required) — The primary display name of the payer.
- `availity_payer_name` (string, optional, nullable) — The name of the payer as it appears in Availity.
- `availity_claims_payer_id` (string, optional, nullable) — The ID of the payer as it appears in Availity.
- `availity_eligibility_id` (string, optional, nullable) — The eligibility ID of the payer as it appears in Availity.
- `availity_remittance_payer_id` (string, optional, nullable) — The remittance ID of the payer as it appears in Availity.
- `street_address` (StreetAddressLongZip, optional, nullable)

### Regions

- Regions0
- Regions1

### contractsv2AuthorizedSignatory

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `title` (string, optional, nullable)
- `email` (string, optional, nullable)
- `phone` (string, optional, nullable)
- `fax` (string, optional, nullable)

### contractsv3ContractServiceFacility

- `contract_id` (string, required) — The UUID of the contract
- `contract_service_facility_id` (string, required)
- `provider_ids` (list of string, required) — The providers who are authorized under the contract
- `service_facility_id` (string, required) — The UUID of the service facility

### EntityNotFoundErrorMessage

- `id` (string, required)

### Contractsv2InsuranceTypes0

- `type` (enum, required)
  - Allowed values: `allApply`

### Contractsv2InsuranceTypes1

- `type` (enum, required)
  - Allowed values: `noneApply`

### Contractsv2InsuranceTypes2

- `type` (enum, required)
  - Allowed values: `theseApply`
- `value` (list of enum, optional)
  - Allowed values: `01`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `41`, `42`, `43`, `47`, `AP`, `C1`, `CO`, `CP`, `D`, `DB`, `E`, `EP`, `FF`, `GP`, `HA`, `HB`, `HD`, `HG`, `HM`, `HN`, `HP`, `HS`, `IN`, `IP`, `LC`, `LD`, `LI`, `LT`, `M`, `MA`, `MB`, `MC`, `MD`, `ME`, `MF`, `MH`, `MI`, `MJ`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MR`, `MT`, `MV`, `OA`, `OT`, `PE`, `PL`, `PP`, `PR`, `PS`, `QM`, `RP`, `SP`, `TF`, `U`, `WC`, `WU`

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### Regions0

- `states` (list of enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `states`

### Regions1

- `type` (enum, required)
  - Allowed values: `national`

## Examples

**Response**

```json
{
  "authorized_signatory": {
    "email": "string",
    "fax": "string",
    "first_name": "string",
    "last_name": "string",
    "phone": "string",
    "title": "string"
  },
  "commercial_insurance_types": {
    "type": "allApply"
  },
  "contract_id": "string",
  "contract_status": "pending",
  "contracting_provider": {
    "addresses": [
      {
        "address": {
          "address1": "string",
          "address2": "string",
          "city": "string",
          "state": "AA",
          "zip_code": "string",
          "zip_plus_four_code": "1234"
        },
        "address_type": "DEFAULT"
      }
    ],
    "employment_start_date": "string",
    "employment_status": "ACTIVE",
    "employment_termination_date": "string",
    "first_name": "string",
    "is_billing": true,
    "is_rendering": true,
    "last_name": "string",
    "license_type": "MD",
    "medicaid_provider_id": "string",
    "npi": "string",
    "organization_name": "string",
    "organization_provider_id": "string",
    "provider_type": "INDIVIDUAL",
    "ptan": "string",
    "tax_id": "string",
    "taxonomy_code": "string"
  },
  "effective_date": "string",
  "expiration_date": "string",
  "medicaid_insurance_types": {
    "type": "allApply"
  },
  "medicare_insurance_types": {
    "type": "allApply"
  },
  "payer": {
    "availity_claims_payer_id": "string",
    "availity_eligibility_id": "string",
    "availity_payer_name": "string",
    "availity_remittance_payer_id": "string",
    "payer_id": "12345",
    "payer_name": "Payer Name",
    "payer_uuid": "string",
    "street_address": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "state": "AA",
      "zip_code": "string",
      "zip_plus_four_code": "1234"
    }
  },
  "provider_count": 1,
  "regions": {
    "states": [
      "AA"
    ],
    "type": "states"
  },
  "rendering_provider_ids": [
    "string"
  ],
  "type": "professional"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/contracts/v3/contract_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```